using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WorkFlowCheck.Common.DTO
{
    public class RoleCheckListTemplateHeaderDTO
    {
        public int Id { get; set; }
        
        [Required(ErrorMessage = "A szabály megnevezésének megadása kötelező.")]
        [DisplayName("Szabály")]
        public int RoleId { get; set; }
        public RoleDTO? RoleDTO { get; set; } = null!;
        
        [Required(ErrorMessage = "Az ellenőrzési sablon megadása kötelező.")]
        [DisplayName("Ellenőrzési sablon")]
        public int CheckListTemplateHeaderId { get; set; }
        public CheckListTemplateHeaderDTO? CheckListTemplateHeaderDTO { get; set; } = null!;

        
        [DisplayName("Engedélyezve?")]
        public bool Enabled { get; set; } = false;
    }
}
